local LAM = LibStub( 'LibAddonMenu-2.0')

local ADDON_VERSION = "1.2"

local iconTexturesList = {
	[1] = "Clean UI",
	[2] = "Default UI",
}

local panelData = {
	    type = "panel",
	    name = "Clean UI",
	    displayName = ZO_HIGHLIGHT_TEXT:Colorize("Clean UI"),
	    author = "Zinival,@Ninette",
		registerForDefaults = true,
	    version = ADDON_VERSION,
	 
   slashCommand = "/cui",
}

local optionsData = {  
	 [1] = {
	    type = "header",
		name = "Options",
	},
	 [2] = {
        type = "dropdown",
        name = "Interface Style",
        tooltip = "Choose your UI.",
		choices = iconTexturesList,
		default = "Clean UI",
		warning = "You must reload the UI twice!",
        getFunc = function() return cui.SV.Icon end,
        setFunc = function(val) cui.SV.Icon = val end,
	 },
	 [3] = {
	 	type = "button",
		name = "Reload UI",
		tooltip = "REMEMBER TO RELOAD THE UI TWICE",
		width = "full",
		func = function() 
	      ReloadUI("ingame")
		end,
	 },
}

function cui:initLAM()
	LAM:RegisterOptionControls("Clean UI", optionsData)
	LAM:RegisterAddonPanel("Clean UI", panelData)
end